      SUBROUTINE GEOPOL(VM)
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C     This subroutine specifies the geostrophically balanced   C
C     initial condition.                                       C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

      include "slgcm.slgprm"
      include "slgcm.slgprg"
      include "slgcm.slgcon"
      include "slgcm.slgclm"

      DO II=1,IM
         DO JJ=1, JM
            I = (JJ-1)*IMP3 + II
            GTP(I) = TWOOMA*VM*SPHU(I)*SPHU(I)*SPHU(I)
     #              *CPHU(I)*SLM(II,2)
            UN0(I) = -VM*SLM(II,1)*SPHU(I)
     #              *(4.0*CPHU(I)*CPHU(I) - 1.0)
         ENDDO            
      ENDDO

      DO II=1,IM
         DO JJ=1, JMM1
            I = (JJ-1)*IMP3 + II
            VN0(I) = VM*CLM(II,2)*SPHV(I)*SPHV(I)
         ENDDO
      ENDDO

      CALL WRAP(1,IJM0M0,GTP(1))
      CALL WRAP(1,IJM0M0,UN0(1))
      CALL WRAP(1,IJM1M0,VN0(1))

      CALL FILPU(UN0)
      CALL FILPV(VN0)

      RETURN
      END
